%% 3D Hypercube [-1,1]x[-2,3]x[-3,3] - mesh with orthotopes
%
type='orthotope';order=3;
fprintf('--------------- fc_hypermesh.demos.demo11\n')
fprintf('3D Hyperrectangle [-1,1]x[-2,3]x[-3,3] - mesh with %d-order %s elements\n',order,type);
fprintf('---------------\n')

Oh=fc_hypermesh.OrthMesh(3,[3,4,5],'box',[-1 1;-2 2;-3 3],'type',type,'order',order)

close all
figure(1)
Oh.plotmesh('legend',true)

figure(2)
Oh.plotmesh('m',2,'legend',true)

figure(3)
Oh.plotmesh('m',2,'Color','LightGray','FaceColor','none','EdgeAlpha',0.2)
hold on
Oh.plotmesh('m',1,'Linewidth',2,'legend',true)

figure(4)
Oh.plotmesh('m',1,'color','k')
hold on
Oh.plotmesh('m',0,'legend',true)

figure(5)
Oh.plotmesh()
hold on
Oh.plotnodes('vsize',15,'nsize',10)

figure(6)
Oh.plotmesh('m',2)
hold on
Oh.plotnodes('m',2)

figure(7)
Oh.plotmesh('m',2,'Color',[0.8,0.8,0.8],'FaceColor','none','EdgeAlpha',0.2)
hold on
Oh.plotmesh('m',1,'Linewidth',2)
Oh.plotnodes('m',1)

fc_tools.graphics.DisplayFigures()
